Bric::Biz::Asset::Business::Media::Audio(3)

NAME
Bric::Biz::Asset::Business::Media::Audio - the media class that represents static audios

VERSION
$LastChangedRevision$

DATE
$Data$

SYNOPSIS
 # Creation of new Audio objects
 $audio = Bric::Biz::Asset::Business::Media::Audio->new( $init )
 $audio = Bric::Biz::Asset::Business::Media::Audio->lookup( { id => $id })
 ($audios || @audios) = Bric::Biz::Asset::Business::Media::Audio->list( $param)

 # list of ids
 ($id_list || @ids) = Bric::Biz::Asset::Business::Media::Audio->list_ids($param)

DESCRIPTION
The Subclass of Media that pretains to Audios

INTERFACE

  Constructrs

$audio = Bric::Biz::Asset::Business::Media::Audio->new($init)
    This will create a new audio object.

    Supported Keys:

    *   Put Itmes here

    Throws:

    NONE

    Side Effects:

    NONE

    Notes:

    NONE

$media = Bric::Biz::Asset::Business::Media::Audio->lookup( { id => $id })
    This will return the matched looked up object

    Throws:

    NONE

    Side Effects:

    NONE

    Notes:

    NONE

($imgs || @imgs) = Bric::Biz::Asset::Business::Media::Audio->list($param)
    Returns a list of audio objects that match the params passed in

    Throws:

    NONE

    Side Effects:

    NONE

    Notes:

    NONE

  Destructors

$self->DESTROY
    dummy method to not wast the time of AUTHLOAD

  Public Class Methods

(@ids || $ids) = Bric::Biz::Asset::Business::Media::Audio->list_ids($param)
    Returns a list of ids that match the particular params

    Supported Keys:

    *   Put Keys Here

    Throws:

    NONE

    Side Effects:

    NONE

    Notes:

    NONE

$class_id = Bric::Biz::Asset::Business::Media::Audio->get_class_id()
    Returns the class id of the Audio class

    Throws:

    NONE

    Side Effects:

    NONE

    Notes:

    NONE

($fields || @fields) = Bric::Biz::Asset::Business::Media::Audio::autopopulated_fields()
    Returns a list of the names of fields that are registered in the database as being autopopulatable

    Throws:

    NONE

    Side Effects:

    NONE

    Notes:

    NONE

my $key_name = Bric::Biz::Asset::Business::Media::Audio->key_name()
    Returns the key name of this class.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

my_meths()
    Data Dictionary for introspection of the object

    Throws:

    NONE

    Side Effects:

    NONE

    Notes:

    NONE

  Public Instance Methods
NONE

PRIVATE
NONE

  Private Class Methods
# NONE

  Private Instance Methods
NONE

NOTES
NONE

AUTHOR
"Michael Soderstrom" <miraso@pacbell.net>

SEE ALSO
perl , Bric, Bric::Biz::Asset, Bric::Biz::Asset::Business, Bric::Biz::Asset::Business::Media